RTO Code
Represents the vehicle registration RTO code (e.g., MH01, DL03). This parameter is required to fetch location-specific vehicle details.
Path Parameters
Specifies the lookup category. This API accepts only 'rto' as the value.
RTO code
- 200
- 400
- 500
Successful Response
Schema
- Array [
- ]
Unique request identifier generated by the system.
List of errors if any occurred during processing.
data object
Contains RTO location details.
rto object[]
List of RTO location details.
Name of the state corresponding to the RTO.
City name under the RTO jurisdiction.
District name under the RTO jurisdiction.
Postal/ZIP code of the RTO location.
{
"reqId": "2d62004e-be97-4e71-a50c-003522a59ad4",
"errors": [],
"data": {
"rto": [
{
"state": "MAHARASHTRA",
"city": "Pune",
"district": "Pune",
"zipCode": "413133"
}
]
}
}
Consumer Response
Schema
- Array [
- ]
Section to carry quote responses
errors object[] required
This array contains error messages in case of an error
Possible values: <= 50 characters
In case error occurs, the error code will be stored here
Possible values: <= 100 characters
In case error occurs, the error display message will be stored here
Possible values: <= 20 characters
In case error occurs, the error identifier will be stored here
Possible values: <= 100 characters
In case error occurs, the error message will be stored here
Possible values: <= 10 characters
In case error occurs, the error type will be stored here
Request Id for the quote assigned by 1SB
{
"data": {},
"errors": [
{
"errorCode": "string",
"errorDisplayMessage": "string",
"errorIdentifier": "string",
"errorMessage": "string",
"errorType": "string"
}
],
"reqId": "string"
}
Consumer Response
Schema
- Array [
- ]
Section to carry quote responses
errors object[] required
This array contains error messages in case of an error
Possible values: <= 50 characters
In case error occurs, the error code will be stored here
Possible values: <= 100 characters
In case error occurs, the error display message will be stored here
Possible values: <= 20 characters
In case error occurs, the error identifier will be stored here
Possible values: <= 100 characters
In case error occurs, the error message will be stored here
Possible values: <= 10 characters
In case error occurs, the error type will be stored here
Request Id for the quote assigned by 1SB
{
"data": {},
"errors": [
{
"errorCode": "string",
"errorDisplayMessage": "string",
"errorIdentifier": "string",
"errorMessage": "string",
"errorType": "string"
}
],
"reqId": "string"
}